+ Post New Thread
Page 5 of 594 FirstFirst ... 3 4 5 6 7 15 55 105 505 ... LastLast
Threads 101 to 125 of 14838

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 52,845
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 57,166
    18th Sep 2006 10:46 pm Go to last post
  1. LISP to run on dwg opening

    Hi I have a LISP that creates a new layer and names it whenever I open a new drawing, which has been a real timesaver to me. My question is, how can I add other commands into this LISP, for example...

    Started by Jamesjh1171‎, 3rd Nov 2016 12:44 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 508
    8th Nov 2016 02:01 pm Go to last post
  2. Enter a value after DView Twist, then go to UCS View...

    hi all, as the title says, i would like to be able to continue a simple lisp i have for DView TWist so that i can enter the twist angle and then have the crosshairs automatically revert to UCS...

    Started by jt6572‎, 4th Nov 2016 12:17 am
    • Replies: 6
    • Views: 351
    8th Nov 2016 02:13 am Go to last post
  3. Filter List - Variables

    All, I am trying to make the values 25.5 and 26.5 variables, in the filter list example below: (-4 . ">") (40 . 25.5) (-4 . "<") (40 . 26.5)

    Started by abra-CAD-abra‎, 7th Nov 2016 04:56 am
    • Replies: 5
    • Views: 279
    7th Nov 2016 11:40 pm Go to last post
  4. Error AutoCAD.Application Not applicable

    Hi, I'm getting AutoCAD.Application Not applicable error on this below code while execute "(vlax-invoke ob1 'intersectwith ob2 mod)". If any one support on this. Thanks in advance

    Started by tvmanalan‎, 7th Nov 2016 03:26 pm
    • Replies: 3
    • Views: 207
    7th Nov 2016 07:17 pm Go to last post
  5. adding a value to an insert block in increments not maually

    I am using an INSERT block (attached) to extract coordinate values using ATTEXT, I am having to click the points I want the block to attach to and then give it a point name, I use 1,2,3,4.... and so...

    Started by PlazaSurveys‎, 7th Nov 2016 01:12 pm
    • Replies: 1
    • Views: 198
    7th Nov 2016 06:59 pm Go to last post
  6. need lisp to set byblock

    hello i need a lisp that change a block or all blocks in a drawing to byblock on layer 0 it is possible?

    Started by jim78b‎, 7th Nov 2016 12:13 pm
    • Replies: 9
    • Views: 230
    7th Nov 2016 04:22 pm Go to last post
  7. solve LISP issue

    I try to the lisp attached to draw graph,but when I run the lisp it stops with a message "data file graph.csv not found.Could anybody please help me to solve the issue. Prakash.

    Started by prakash25571‎, 3rd Nov 2016 07:36 pm
    • Replies: 5
    • Views: 288
    6th Nov 2016 05:48 pm Go to last post
  8. Batch Attibute Editor

    Hi Lee, been using this code in daily basis, Just a quick question. Would it be possible to add "plot to PDF" after it changes the attribute values? http://www.lee-mac.com/batte.html

    Started by loudy000‎, 6th Nov 2016 03:35 pm
    lee mac
    • Replies: 1
    • Views: 180
    6th Nov 2016 05:33 pm Go to last post
  9. What's wrong with this attach code

    Hello everyone I have some problem about this lisp code I want to attch DWG file to autocad map 3d when I run code it was prompt this error This is a error prompt: >>Command:...

    Started by mit‎, 6th Nov 2016 06:09 am
    • Replies: 3
    • Views: 221
    6th Nov 2016 05:29 pm Go to last post
  10. LISP to display MText Contents

    I am looking for a LISP routine that can display a list of MText contents. The reason is to help me when checking drawings with different pipe sizes. The list of different MTexts are: 63mm PE...

    Started by andy_06‎, 13th Oct 2016 01:09 pm
    lisp mtext
    • Replies: 7
    • Views: 535
    5th Nov 2016 10:14 am Go to last post
  11. Idea Multiple drawings in one dwg to multipage pdf

    Hello, I need lisp about this subject. I have 50 drawings in one dwg. All drawings size A3. I want to plot the drawings to PDF. 50 seperate pdf or 1 pdf but multipage that has 50 page. A page...

    Started by kenali‎, 4th Nov 2016 11:03 am
    • Replies: 3
    • Views: 293
    5th Nov 2016 07:28 am Go to last post
  12. How to open a webpage using LISP?

    Hello everybody! Please tell me how to open a web page using Lisp? Using the browser Internet explorer. Thank you...

    Started by sathalex‎, 4th Nov 2016 03:48 am
    • Replies: 6
    • Views: 292
    4th Nov 2016 10:59 pm Go to last post
  13. Auto insert block at intersection

    Hi all, I have done some searching and have come across this code from Lee Mac. (defun c:ib ( / *error* a b bfn blk cmd i j sel spc ) (defun *error* ( msg ) (LM:endundo...

    Started by MichaelAllfire‎, 27th Oct 2016 04:51 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 564
    4th Nov 2016 06:51 pm Go to last post
  14. Drawing Batch Attribute Editor

    As posted at the Swamp, I wanted to share this here too... Having written the first draft of my old 'Global Attribute Editor' program almost three years ago, I thought it was about time I offered...

    Started by Lee Mac‎, 30th Jan 2012 09:00 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 40
    • Views: 13,688
    3rd Nov 2016 08:30 pm Go to last post
  15. CSV File Coordinates Data to Lines and polylines generating Lisp

    Hi All, I have CSV file, and it contains Layer name,Lines and Poly lines coordinates. how to develop lines and LWpoly lines by CSV file data with help of lisp routine? i have already created layer...

    Started by structo‎, 3rd Nov 2016 10:27 am
    • Replies: 1
    • Views: 184
    3rd Nov 2016 07:36 pm Go to last post
  16. Question Selecting all unclosed polylines

    I've been using several simple lisps like the one below to select various different objects using their object entities. What I'm wondering is can anyone help me to work out how to similarly select...

    Started by Rooster‎, 29th Jul 2009 02:06 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 31
    • Views: 15,150
    3rd Nov 2016 07:32 pm Go to last post
  17. Multiple Enhanced attribute editor LISP

    hello! im new here, so dont be mad if i request something that has been already written. so, as the title says, i need a lisp routine that changes attributes of block. specificaly i need to...

    Started by kocbek‎, 12th Dec 2011 06:13 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 4,857
    3rd Nov 2016 07:18 pm Go to last post
  18. select blocks by name and rotation angle

    Greetings everyone , i have this lisp which select blocks by rotation angle but it select all blocks instances that have the same rotation angles i need to filter the result to select only the...

    Started by handasa‎, 2nd Nov 2016 11:05 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 554
    3rd Nov 2016 03:16 pm Go to last post
  19. Mleader Angle problem

    I've been working and trying to understand this code, with the help of Tedg and Lee Mac I'm able to achieve my desired result however i'm struggling to figure out why when i insert the additional...

    Started by loudy000‎, 31st Oct 2016 06:44 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 600
    3rd Nov 2016 01:51 pm Go to last post
  20. Need Custom PolyLine Lisp

    I need a command that will prompt the user to select objects and then trace around the outside of those objects with 4" or so of space. Though I know I could just do this manually, I typically do...

    Started by CACad‎, 28th Oct 2016 11:58 am
    • Replies: 3
    • Views: 304
    3rd Nov 2016 01:20 pm Go to last post
  21. Help - Select duplicate entities

    Hi I need help from masters of LISP to a routine. When I use the "overkill" command in Autocad, duplicate entities are deleted. Now, i want to a similar routine, which detects duplicate entities,...

    Started by teknomatika‎, 2nd Sep 2011 11:45 am
    7 Pages
    1 2 3 ... 7
    • Replies: 67
    • Views: 17,291
    3rd Nov 2016 10:07 am Go to last post
  22. Un-dynamic a block - LISP

    Hello all, I should get the following code changed so that you can select the blocks you want to 'undynamic" first. Can somebody help me? (defun c:UnDynamic ( /

    Started by DesmetMartin‎, 26th Oct 2016 08:34 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 694
    3rd Nov 2016 08:23 am Go to last post
  23. Poll Poll: TabSort.lsp

    This is a program I posted over at theSwamp.org, but I thought I'd share it with you guys here too. Just a project I was working on recently, written for a bit of fun. TabSort.lsp Version 2.2...

    Started by Lee Mac‎, 23rd Sep 2009 03:10 pm
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 9,152
    3rd Nov 2016 07:54 am Go to last post
  24. (command "_chamfer" ... ???)

    Hi All My problem is to write correctly command function for (setvar "CHAMFERA" 2) (setvar "CHAMFERB" 2) (command "_chamfer" ...) (setq a (entget (ssname ss 0))) ;first line (setq x (cdr...

    Started by Mariusz‎, 2nd Nov 2016 02:56 pm
    • Replies: 0
    • Views: 178
    2nd Nov 2016 02:56 pm Go to last post
  25. Angle between 2 clicks

    Inside my main LISP, the user is prompted to select 2 points on screen and I want to rotate the text based on those 2 clicks. I've tried to keep it simple and run the TORIENT command after the text...

    Started by thereisnotime‎, 1st Nov 2016 07:13 pm
    • Replies: 9
    • Views: 455
    2nd Nov 2016 02:42 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts